package com.interplug.qcast.biz.specialNote;

import org.springframework.stereotype.Service;
import com.interplug.qcast.biz.specialNote.dto.SpecialNoteItemRequest;
import com.interplug.qcast.biz.specialNote.dto.SpecialNoteRequest;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service
@RequiredArgsConstructor
public class SpecialNoteService {

  private final SpecialNoteMapper specialNoteMapper;

  public void setSpecialNoteSave(SpecialNoteRequest specialNoteRequest) throws Exception {
    specialNoteMapper.setSpecialNoteSave(specialNoteRequest);
  }

  public void setSpecialNoteItemSave(SpecialNoteItemRequest specialNoteItemRequest)
      throws Exception {
    specialNoteMapper.setSpecialNoteItemSave(specialNoteItemRequest);
  }

}
